
Foreman - Bug #1543

Imported host, could not edit host as domain was not set.

03/19/2012 03:41 PM - Brian Green

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 1.0.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

New installation of Foreman 0.5 on CentOS 6.  After importing facts and hosts, I was not able to edit the host and save any of the

changes (environment, classes etc).  No popup warning.  When browsing through Foreman log I found warning of 'Failed to save:

Domain can't be blank'.  I am running with unattended mode disabled, with Puppet master on the same node, both Puppet &

Foreman being served via Passenger.

After entering a domain, I was able to save settings/classes for the host.

History

#1 - 08/07/2012 02:57 PM - Ohad Levy

- Status changed from New to Closed

- Target version set to 1.1

this was actually fixed already in c832a24f

#2 - 08/09/2012 09:52 AM - Ohad Levy

- Target version changed from 1.1 to 1.0.1
